#
# 8-bit flash on 16-bit EMIFB CE2. Byte #1
#

# Interface controller base address
#
set ctrlr_base $emifb_base

# Interface type
#
set iftype 0

# External mem. interface width (0 - 8 bit, 1 - 16, 2 - 32)
set xbus_width 1

# base address in the address space of the CPU is...
#
if { [string equal $cpu_type "TMS320C6410"] } {
  set flash_base  0x68000000
}

# shift value for data bus
# i.e. if FLASH's D0..Dn are conencted to CPU's D8..Dn+8 shift value is 8
#
set flash_data_shift 8

# IC's (not CPU) data bus width (0 - 8 bits; 1 - 16-bits)
#
set dbus_width 0

# Interface init script
#
set iface_init_script dbus_init.tcl
